package cpcns.danganzhengli.wenshu.wenjian.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.common.dao.ICommonDao;
import cpcns.common.service.impl.commonServiceImpl;
import cpcns.danganzhengli.wenshu.wenjian.dao.IDWenJianDao;
import cpcns.danganzhengli.wenshu.wenjian.model.DWenJian;
import cpcns.danganzhengli.wenshu.wenjian.model.DWenJianYeWuXinXi;
import cpcns.danganzhengli.wenshu.wenjian.service.IDWenJianService;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class DWenJianServiceImpl extends commonServiceImpl<DWenJian> implements IDWenJianService {
  private IDWenJianDao dWenJianDao;
  
  public IDWenJianDao getdWenJianDao() {
    return this.dWenJianDao;
  }
  
  public void setdWenJianDao(IDWenJianDao dWenJianDao) {
    setCommonDao((ICommonDao)dWenJianDao);
    this.dWenJianDao = dWenJianDao;
  }
  
  public void updateGuiDang(String server, int lx, int hbs, Map<String, String> map1, Map<String, String> map2) {
    updateInfo(server, getTableName(), map2, map1);
    Map<String, String> mm = new HashMap<>();
    String wjhbs = map1.get("hangBiaoShi");
    String guanLianBiaoShi = map2.get("guanLianBiaoShi");
    int zys = getZongYeShuS(server, hbs, lx);
    int fs = getSumCount(server, hbs, lx);
    if (2 == lx) {
      mm.put("FenShu", (new StringBuilder(String.valueOf(fs))).toString());
      mm.put("zongYeShu", (new StringBuilder(String.valueOf(zys))).toString());
      updateFenShuAndYeShu(server, "D_AnJian", (new StringBuilder(String.valueOf(hbs))).toString(), mm);
    } else if (1 == lx) {
      mm.put("JianShu", (new StringBuilder(String.valueOf(fs))).toString());
      mm.put("zongYeShu", (new StringBuilder(String.valueOf(zys))).toString());
      updateFenShuAndYeShu(server, "D_AnJuan", (new StringBuilder(String.valueOf(hbs))).toString(), mm);
    } 
  }
  
  private int getZongYeShuS(String server, int hbs, int lx) {
    StringBuffer sql = new StringBuffer(" select sum(YeShu) from  D_WenJian where 1=1 and guanLianBiaoShi = " + hbs + " and guiDangLeiXing = " + lx);
    return this.dWenJianDao.getWenJianYeShuS(sql.toString());
  }
  
  private int getSumCount(String server, int hbs, int lx) {
    StringBuffer sql = new StringBuffer(" select count(hangBiaoShi) from  D_WenJian where 1=1 and guanLianBiaoShi = " + hbs + " and guiDangLeiXing = " + lx);
    return this.dWenJianDao.getWenJianYeShuS(sql.toString());
  }
  
  public int getWenJianYeShuS(String server, String hbs) {
    StringBuffer sql = new StringBuffer(" select sum(YeShu) from  D_WenJian where 1=1 and guanLianBiaoShi in (" + hbs + ")");
    return this.dWenJianDao.getWenJianYeShuS(sql.toString());
  }
  
  public boolean printList(User user) {
    boolean info = false;
    try {
      StringBuilder sql = new StringBuilder(" SELECT w.liJuanDanWeiMingCheng, w.wenHao, w.biaoTi,x.MINGCHENG AS miJimc,w.fenShu, w.guiDangBuMenMingCheng FROM D_WenJian w, G_XiTongDaiMa x WHERE x.FUJIEDIANBIAOSHI=7087 and w.miji = x.ZHENGXINGDAIMA and w.zhuangTai not in(3,4)");
      List<DWenJian> wj = new ArrayList<>();
    } catch (Exception e) {
      info = false;
      e.printStackTrace();
    } 
    return info;
  }
  
  public DWenJianYeWuXinXi wenJianYeWuXinXi(String guanLianBiaoShi) {
    return this.dWenJianDao.wenJianYeWuXinXi(guanLianBiaoShi);
  }
}
